## postgresql-9.3 9.3.24

=== contrib/btree_gin/Makefile ===
# contrib/btree_gin/Makefile

MODULE_big = btree_gin
OBJS = btree_gin.o

EXTENSION = btree_gin
DATA = btree_gin--1.0.sql btree_gin--unpackaged--1.0.sql

REGRESS = install_btree_gin int2 int4 int8 float4 float8 money oid \
	timestamp timestamptz time timetz date interval \
	macaddr inet cidr text varchar char bytea bit varbit \
	numeric

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/btree_gin
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/cube/Makefile ===
# contrib/cube/Makefile

MODULE_big = cube
OBJS= cube.o cubeparse.o

EXTENSION = cube
DATA = cube--1.0.sql cube--unpackaged--1.0.sql

REGRESS = cube

EXTRA_CLEAN = y.tab.c y.tab.h

SHLIB_LINK += $(filter -lm, $(LIBS))

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/cube
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif


# cubescan is compiled as part of cubeparse
cubeparse.o: cubescan.c

distprep: cubeparse.c cubescan.c

maintainer-clean:
	rm -f cubeparse.c cubescan.c

=== contrib/dblink/Makefile ===
# contrib/dblink/Makefile

MODULE_big = dblink
OBJS	= dblink.o
PG_CPPFLAGS = -I$(libpq_srcdir)
SHLIB_LINK_INTERNAL = $(libpq)
SHLIB_PREREQS = submake-libpq

EXTENSION = dblink
DATA = dblink--1.1.sql dblink--1.0--1.1.sql dblink--unpackaged--1.0.sql

REGRESS = paths dblink
REGRESS_OPTS = --dlpath=$(top_builddir)/src/test/regress \
	--create-role=dblink_regression_test
EXTRA_CLEAN = sql/paths.sql expected/paths.out

# the db name is hard-coded in the tests
override USE_MODULE_DB =

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/dblink
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/dict_xsyn/Makefile ===
# contrib/dict_xsyn/Makefile

MODULE_big = dict_xsyn
OBJS = dict_xsyn.o

EXTENSION = dict_xsyn
DATA = dict_xsyn--1.0.sql dict_xsyn--unpackaged--1.0.sql
DATA_TSEARCH = xsyn_sample.rules

REGRESS = dict_xsyn

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/dict_xsyn
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/fuzzystrmatch/Makefile ===
# contrib/fuzzystrmatch/Makefile

MODULE_big = fuzzystrmatch
OBJS = fuzzystrmatch.o dmetaphone.o

EXTENSION = fuzzystrmatch
DATA = fuzzystrmatch--1.0.sql fuzzystrmatch--unpackaged--1.0.sql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/fuzzystrmatch
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# levenshtein.c is #included by fuzzystrmatch.c
fuzzystrmatch.o: fuzzystrmatch.c levenshtein.c

=== contrib/intagg/Makefile ===
# contrib/intagg/Makefile

EXTENSION = intagg
DATA = intagg--1.0.sql intagg--unpackaged--1.0.sql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/intagg
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/oid2name/Makefile ===
# contrib/oid2name/Makefile

PGFILEDESC = "oid2name - examine the file structure"
PGAPPICON = win32

PROGRAM = oid2name
OBJS	= oid2name.o

PG_CPPFLAGS = -I$(libpq_srcdir)
PG_LIBS_INTERNAL = $(libpq_pgport)

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/oid2name
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/pg_freespacemap/Makefile ===
# contrib/pg_freespacemap/Makefile

MODULE_big = pg_freespacemap
OBJS = pg_freespacemap.o

EXTENSION = pg_freespacemap
DATA = pg_freespacemap--1.0.sql pg_freespacemap--unpackaged--1.0.sql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_freespacemap
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/pgbench/Makefile ===
# contrib/pgbench/Makefile

PGFILEDESC = "pgbench - a simple program for running benchmark tests"
PGAPPICON = win32

PROGRAM = pgbench
OBJS	= pgbench.o

PG_CPPFLAGS = -I$(libpq_srcdir)
PG_LIBS_INTERNAL = $(libpq_pgport)
PG_LIBS = $(PTHREAD_LIBS)

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgbench
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifneq ($(PORTNAME), win32)
override CFLAGS += $(PTHREAD_CFLAGS)
endif

=== contrib/pgrowlocks/Makefile ===
# contrib/pgrowlocks/Makefile

MODULE_big	= pgrowlocks
OBJS		= pgrowlocks.o

EXTENSION = pgrowlocks
DATA = pgrowlocks--1.1.sql pgrowlocks--1.0--1.1.sql pgrowlocks--unpackaged--1.0.sql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgrowlocks
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/postgres_fdw/Makefile ===
# contrib/postgres_fdw/Makefile

MODULE_big = postgres_fdw
OBJS = postgres_fdw.o option.o deparse.o connection.o

PG_CPPFLAGS = -I$(libpq_srcdir)
SHLIB_LINK_INTERNAL = $(libpq)
SHLIB_PREREQS = submake-libpq

EXTENSION = postgres_fdw
DATA = postgres_fdw--1.0.sql

REGRESS = postgres_fdw

# the db name is hard-coded in the tests
override USE_MODULE_DB =

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/postgres_fdw
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/unaccent/Makefile ===
# contrib/unaccent/Makefile

MODULE_big = unaccent
OBJS = unaccent.o

EXTENSION = unaccent
DATA = unaccent--1.0.sql unaccent--unpackaged--1.0.sql
DATA_TSEARCH = unaccent.rules

REGRESS = unaccent

# We need a UTF8 database
ENCODING = UTF8
NO_LOCALE = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/unaccent
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
postgresql-9.3 (9.3.24-0ubuntu0.14.04) trusty-security; urgency=medium

  * New upstream release (LP: #1786938)
    - Fix failure to reset libpq's state fully between connection attempts
      .
      An unprivileged user of dblink or postgres_fdw could bypass the checks
      intended to prevent use of server-side credentials, such as a ~/.pgpass
      file owned by the operating-system user running the server.  Servers
      allowing peer authentication on local connections are particularly
      vulnerable.  Other attacks such as SQL injection into a postgres_fdw
      session are also possible. Attacking postgres_fdw in this way requires
      the ability to create a foreign server object with selected connection
      parameters, but any user with access to dblink could exploit the
      problem. In general, an attacker with the ability to select the
      connection parameters for a libpq-using application could cause
      mischief, though other plausible attack scenarios are harder to think
      of. Our thanks to Andrew Krasichkov for reporting this issue.
      (CVE-2018-10915)
    - d/libecpg-dev.install: Add new pgtypes header.
    - d/libpgtypes3.symbols: Add new pgtypes symbol.
    - Details about these and other changes can be found at
      https://www.postgresql.org/docs/9.3/static/release-9-3-24.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 14 Aug 2018 14:49:12 +0200

postgresql-9.3 (9.3.23-0ubuntu0.14.04) trusty; urgency=medium

  * New upstream release (LP: #1769888)
    - A dump/restore is not required for those running 9.3.X.
      However, if the function marking mistakes mentioned in the first
      changelog entry affect you, you will want to take steps to
      correct your database catalogs.
    - Details about changes can be found at
      https://www.postgresql.org/docs/9.3/static/release-9-3-23.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 08 May 2018 15:17:51 +0200

postgresql-9.3 (9.3.22-0ubuntu0.14.04) trusty-security; urgency=medium

  * New upstream release (LP: #1752271)
    If you run an installation in which not all users are mutually
    trusting, or if you maintain an application or extension that is
    intended for use in arbitrary situations, it is strongly recommended
    that you read the documentation changes described in the first changelog
    entry below, and take suitable steps to ensure that your installation or
    code is secure.

    Also, the changes described in the second changelog entry below may
    cause functions used in index expressions or materialized views to fail
    during auto-analyze, or when reloading from a dump.  After upgrading,
    monitor the server logs for such problems, and fix affected functions.

    - Document how to configure installations and applications to guard
      against search-path-dependent trojan-horse attacks from other users

      Using a search_path setting that includes any schemas writable by a
      hostile user enables that user to capture control of queries and then
      run arbitrary SQL code with the permissions of the attacked user. While
      it is possible to write queries that are proof against such hijacking,
      it is notationally tedious, and it's very easy to overlook holes.
      Therefore, we now recommend configurations in which no untrusted schemas
      appear in one's search path.
      (CVE-2018-1058)

    - Avoid use of insecure search_path settings in pg_dump and other client
      programs

      pg_dump, pg_upgrade, vacuumdb and other PostgreSQL-provided applications
      were themselves vulnerable to the type of hijacking described in the
      previous changelog entry; since these applications are commonly run by
      superusers, they present particularly attractive targets.  To make them
      secure whether or not the installation as a whole has been secured,
      modify them to include only the pg_catalog schema in their search_path
      settings. Autovacuum worker processes now do the same, as well.

      In cases where user-provided functions are indirectly executed by these
      programs -- for example, user-provided functions in index expressions --
      the tighter search_path may result in errors, which will need to be
      corrected by adjusting those user-provided functions to not assume
      anything about what search path they are invoked under.  That has always
      been good practice, but now it will be necessary for correct behavior.
      (CVE-2018-1058)

    - Details about other changes can be found at
      https://www.postgresql.org/docs/9.3/static/release-9-3-22.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 28 Feb 2018 09:59:05 +0100

postgresql-9.3 (9.3.21-0ubuntu0.14.04) trusty-security; urgency=medium

  * New upstream release (LP: #1747676)
    - Ensure that all temporary files made by pg_upgrade are non-world-readable
      (CVE-2018-1053)
    - Details about other changes at full changelog:
      https://www.postgresql.org/docs/9.3/static/release-9-3-21.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Feb 2018 15:19:51 +0100

postgresql-9.3 (9.3.20-0ubuntu0.14.04) trusty-security; urgency=medium

  * New upstream release (LP: #1730661)
    - Details about other changes at full changelog:
      https://www.postgresql.org/docs/9.3/static/release-9-3-20.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 Nov 2017 14:33:47 +0100

postgresql-9.3 (9.3.19-0ubuntu0.14.04) trusty; urgency=medium

  * New upstream release (LP: #1713979)
    - fix upgrade regressions of the former security release
    - Details about other changes at full changelog:
      https://www.postgresql.org/docs/9.3/static/release-9-3-19.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Aug 2017 13:00:40 +0200

postgresql-9.3 (9.3.18-0ubuntu0.14.04.1) trusty-security; urgency=medium



=== debian/control ===
Source: postgresql-9.3
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 8~),
 dpkg-dev (>= 1.16.1~) | hardening-wrapper,
 perl (>= 5.8),
 libperl-dev,
 tcl8.6-dev | tcl8.5-dev,
 libedit-dev,
 libssl-dev,
 zlib1g-dev | libz-dev,
 libpam0g-dev | libpam-dev,
 libxml2-dev,
 krb5-multidev,
 libldap2-dev,
 libxslt1-dev,
 libossp-uuid-dev,
 python-dev,
 python3-dev,
 bison,
 flex,
 openjade,
 docbook-dsssl,
 docbook-xsl,
 docbook,
 opensp,
 xsltproc,
 gettext
Homepage: http://www.postgresql.org/
Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-9.3/trunk
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-9.3/trunk/
XS-Testsuite: autopkgtest

Package: libpq-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq5 (= ${binary:Version}),
 libssl-dev,
 krb5-multidev,
 comerr-dev
Suggests: postgresql-doc-9.3
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev,
 libecpg6 (= ${binary:Version}),
 libecpg-compat3 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version})
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library libpgtypes for PostgreSQL 9.3
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-9.3
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-client-9.3,
 postgresql-common (>= 142~),
 tzdata,
 ssl-cert,
 locales
Suggests: oidentd | ident-server, locales-all
Description: object-relational SQL database, version 9.3 server
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides the database server for PostgreSQL 9.3. Servers
 for other major release versions can be installed simultaneously and
 are coordinated by the postgresql-common package. A package providing
 ident-server is needed if you want to authenticate remote connections
 with identd.

Package: postgresql-9.3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, postgresql-9.3 (= ${binary:Version})
Conflicts: postgresql-dbg, postgresql-9.1-dbg
Provides: postgresql-dbg
Replaces: postgresql-9.1-dbg
Description: debug symbols for postgresql-9.3
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides detached debugging symbols for PostgreSQL 9.3.

Package: postgresql-client-9.3
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq5 (>= ${source:Upstream-Version}),
 postgresql-client-common (>= 142~)
Suggests: postgresql-9.3, postgresql-doc-9.3
Provides: postgresql-client
Description: front-end programs for PostgreSQL 9.3
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 9.3. If you install
 PostgreSQL 9.3 on a standalone machine, you need the server package
 postgresql-9.3, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-9.3
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev (>= 9.3~),
 postgresql-common (>= 142~)
Description: development files for PostgreSQL 9.3 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-9.3
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 9.3. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib-9.3
Architecture: any
Depends: postgresql-9.3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: libdbd-pg-perl
Description: additional facilities for PostgreSQL
 The PostgreSQL contrib package provides several additional features
 for the PostgreSQL database. This version is built to work with the
 server package postgresql-9.3.  contrib often serves as a testbed for
 features before they are adopted into PostgreSQL proper:
 .
  adminpack      - File and log manipulation routines, used by pgAdmin
  btree_gist     - B-Tree indexing using GiST (Generalised Search Tree)
  chkpass        - An auto-encrypted password datatype
  cube           - Multidimensional-cube datatype (GiST indexing example)
  dblink         - Functions to return results from a remote database
  earthdistance  - Operator for computing the distance (in miles) between
                   two points on the earth's surface
  fuzzystrmatch  - Levenshtein, metaphone, and soundex fuzzy string matching
  hstore         - Store (key, value) pairs
  intagg         - Integer aggregator/enumerator
  _int           - Index support for arrays of int4, using GiST (benchmark
                   needs the libdbd-pg-perl package)
  isn            - type extensions for ISBN, ISSN, ISMN, EAN13 product numbers
  lo             - Large Object maintenance
  ltree          - Tree-like data structures
  oid2name       - Maps OIDs to table names
  pageinspect    - Inspection of database pages
  passwordcheck  - Simple password strength checker
  pg_buffercache - Real time queries on the shared buffer cache
  pg_freespacemap- Displays the contents of the free space map (FSM)
  pg_trgm        - Determine the similarity of text based on trigram matching
  pg_standby     - Create a warm stand-by server
  pgbench        - TPC-B like benchmark
  pgcrypto       - Cryptographic functions
  pgrowlocks     - A function to return row locking information
  pgstattuple    - Returns the percentage of dead tuples in a table; this
                   indicates whether a vacuum is required.
  postgresql_fwd - foreign data wrapper for PostgreSQL
  seg            - Confidence-interval datatype (GiST indexing example)
  spi            - PostgreSQL Server Programming Interface; 4 examples of
                   its use:
                   autoinc    - A function for implementing AUTOINCREMENT/
                                IDENTITY
                   insert_username - function for inserting user names
                   moddatetime - Update modification timestamps
                   refint     - Functions for implementing referential
                                integrity (foreign keys).  Note that this is
                                now superseded by built-in referential
                                integrity.
                   timetravel - Re-implements in user code the time travel
                                feature that was removed in 6.3.
  tablefunc      - examples of functions returning tables
  uuid-ossp      - UUID generation functions
  vacuumlo       - Remove orphaned large objects
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-9.3
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-9.3 (= ${binary:Version}),
 perl
Provides: postgresql-plperl
Description: PL/Perl procedural language for PostgreSQL 9.3
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 9.3 in Perl.  You need this package if you have any
 PostgreSQL 9.3 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython-9.3
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-9.3 (= ${binary:Version})
Provides: postgresql-plpython
Description: PL/Python procedural language for PostgreSQL 9.3
 PL/Python enables an SQL developer to write procedural language functions
 for PostgreSQL 9.3 in Python.  You need this package if you have any
 PostgreSQL 9.3 functions that use the languages plpython or plpythonu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython3-9.3
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-9.3 (= ${binary:Version})
Replaces: postgresql-plpython-9.3 (<< ${binary:Version})
Breaks: postgresql-plpython-9.3 (<< ${binary:Version})
Provides: postgresql-plpython3
Description: PL/Python 3 procedural language for PostgreSQL 9.3
 PL/Python 3 enables an SQL developer to write procedural language functions

=== debian/rules ===
#!/usr/bin/make -f
ifneq ($(shell which tclsh8.6),)
TCL_VER := 8.6
else
TCL_VER := 8.5
endif
MAJOR_VER := 9.3

DEB_BUILD_ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# this must also work for old releases with multiarch, so don't fail if the
# variable doesn't exist
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH || true)

# support multi-arch location
ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(TCL_VER)),)
TCL_CONFIG_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)
else
TCL_CONFIG_DIR := /usr/lib
endif

# support both hardening-wrapper (for backports) and dpkg-buildflags
export DEB_BUILD_HARDENING = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
LDFLAGS+= -Wl,--as-needed -L/usr/lib/mit-krb5 -L/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
CFLAGS+= -fPIC -pie -I/usr/include/mit-krb5

# When protecting the postmaster with oom_adj=-17, allow the OOM killer to slay
# the backends (http://archives.postgresql.org/pgsql-hackers/2010-01/msg00170.php)
ifeq ($(shell uname -s),Linux)
CFLAGS+= -DLINUX_OOM_SCORE_ADJ=0
endif

# sparc and alpha's gcc used to miscompile; see
# http://lists.debian.org/debian-alpha/2007/11/msg00025.html
#ifneq ($(findstring $(DEB_BUILD_ARCH), sparc alpha),)
#    CFLAGS+=-O1
#endif

# Facilitate hierarchical profile generation on amd64 (#730134)
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
CFLAGS+= -fno-omit-frame-pointer
endif

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

COMMON_CONFIGURE_FLAGS= \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --enable-nls \
  --enable-integer-datetimes \
  --enable-thread-safety \
  --enable-debug \
  --disable-rpath \
  --with-ossp-uuid \
  --with-gnu-ld \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

# allow missing krb5 and ldap during bootstrapping
ifeq ($(DEB_STAGE),stage1)
BOOTSTRAP_FLAGS=
else
BOOTSTRAP_FLAGS= --with-krb5 --with-gssapi --with-ldap
endif

# build should fail on test suite failures on all arches
TESTSUITE_FAIL_CMD=exit 1
# hurd doesn't implement semaphores; succeed anyway so they at least have libpq5
# plperl currently fails on kfreebsd-*
ifneq ($(filter $(DEB_BUILD_ARCH), hurd-i386 kfreebsd-amd64 kfreebsd-i386),)
TESTSUITE_FAIL_CMD=exit 0
endif

%:
	dh $@ --parallel

override_dh_auto_configure: stamp/configure-build stamp/configure-build-py3

stamp/configure-build:
	mkdir -p stamp build
	cd build && ../configure \
           --with-tcl \
           --with-perl \
           --with-python \
           --with-pam \
           --with-openssl \
           --with-libxml \
           --with-libxslt \
           --with-tclconfig=$(TCL_CONFIG_DIR)/tcl$(TCL_VER) \
           --with-includes=/usr/include/tcl$(TCL_VER) \
           PYTHON=/usr/bin/python \
           $(COMMON_CONFIGURE_FLAGS) \
           $(BOOTSTRAP_FLAGS)
	touch "$@"
	
stamp/configure-build-py3:
	mkdir build-py3
	cd build-py3 && ../configure \
           --with-python \
           PYTHON=/usr/bin/python3 \
           $(COMMON_CONFIGURE_FLAGS)
	touch "$@"

override_dh_auto_build: stamp/build stamp/build-py3

stamp/build: stamp/configure-build
	cd build && $(MAKE) world

	# generate POT files for translators
	find -name nls.mk -exec sh -c "make -C \$$(dirname {}) init-po" \;

	# build tutorial stuff
	make -C build/src/tutorial NO_PGXS=1

	touch "$@"

stamp/build-py3: stamp/configure-build-py3
	cd build-py3 && $(MAKE) -C src/backend/ submake-errcodes && $(MAKE) -C src/pl/plpython
	touch "$@"

override_dh_auto_install:
	make -C build-py3/src/pl/plpython install DESTDIR=$(CURDIR)/debian/tmp
	make -C build install-world DESTDIR=$(CURDIR)/debian/tmp
	# compress manpages
	gzip -9n $(CURDIR)/debian/tmp/usr/share/postgresql/*/man/man*/*.[137]

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build* stamp contrib/file_fdw/sql/file_fdw.sql

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c

override_dh_install:
	dh_install --fail-missing

	# these get installed into the individual -/l* packages; -f because it
	# does not exist for an -A build
	rm -f debian/postgresql-contrib-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/pl*

	if [ -d debian/postgresql-doc-$(MAJOR_VER) ]; then \
		install src/tutorial/*.c src/tutorial/*.source src/tutorial/Makefile src/tutorial/README debian/postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	fi

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	if ! make -C build check-world EXTRA_REGRESS_OPTS='--port=$(shell perl -le 'print 1024 + int(rand(64000))')'; then \
	    for l in `find build -name regression.diffs -o -name initdb.log -o -name postmaster.log`; do \
		echo "******** $$l ********"; \
		tail -n100 $$l; \
	    done; \
	    $(TESTSUITE_FAIL_CMD); \
	fi
endif

override_dh_strip:
	dh_strip --dbg-package=postgresql-$(MAJOR_VER)-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/ \
ftp://ftp.postgresql.org/pub/source/v(9\.3.*)/postgresql-(9\.3.*).tar.bz2
